Subject: Re: [TOPIC 07/11] New Contributors and Discord

From: Junio C Hamano <[email-masked]>
Date: Tue, 24 Sep 2024 12:15:13 -0700

Konstantin Ryabitsev <[email-masked]> writes:

> On Mon, Sep 23, 2024 at 02:31:07PM GMT, Junio C Hamano wrote:
>> > I can chime up and offer bugspray bot integration for the list. This is a new
>> > tool I've been developing for integrating the mailing list with bugzilla. I've
>> > been using it on the tools mailing list over the past year with reasonable
>> > success.
>> 
>> Intriguing.  Everybody loves to hate bugzilla, but would bugzilla
>> become less smelly with bugspray enough to make it palatable to all
>> of us?
>
> I'm happy to enable it for this list if you'd like to try this out. It doesn't
> really create any obligation to use it, but it may end up being something
> useful.
>
> To enable it, I only need a list of people who are allowed to trigger bugspray
> via the "bugspray track" trigger phrase. I assume it's going to be more than
> just you?

Now we'll have to come up with and maintain an official list of
trusted contributors.  Which at first may sound like such a list may
alianate those who did not make the list, but when deciding which
topics are ready to hit 'next', such a "selection" is implicitly
made to choose whose opinion weigh more anyway.

It might make the process more transparent to formalize the "more
trusted contributors" list.

I suspect that the list of folks who can operator bugspray do not
necessarily have to be with deep technical knowledge of the innards
of Git.  They have to be able to dedicate the time to read and
understand what was said in the discussion threads, recognise when a
problem is identified ("bugspray track"), have been long enough to
know or able to use "git blame / git log" to see who likely has
useful insight into the issue than others ("bugspray tag"?), and
have good enough taste to recognise irrelevant "bugs" that are
opened by those with worse taste.  In a sense, it is very different
from the earlier "list of those whose opinion weigh more in
assessing topic's doneness".  Competent "project secretaries" are
the kinds of people we want.

If I misunderstood the nature of "allow-list" for trigger phrase,
please correct me.  Also it would be very welcome to hear from those
listening in from the sidelines who want to see different kinds of
people to be on the trigger phrase list.

Thanks.